Bug 163916 - Set JDK_UPDATE_VERSION for java/openjdk6
Set JDK_UPDATE_VERSION for java/openjdk6
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
Depends on:
  Show dependency treegraph
Reported: 2012-01-08 15:00 UTC by dennylin93
Modified: 2012-01-13 19:14 UTC (History)
0 users

See Also:

openjdk6-jdk_update_version.patch (335 bytes, patch)
2012-01-08 15:00 UTC, dennylin93
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dennylin93 2012-01-08 15:00:20 UTC
Even though JDK_UPDATE_VERSION=50 is set in java/icedtea-web, http://java.com/en/download/testjava.jsp shows the version as Java SE 6 without any updates.

Setting it here changes the detected version to Java SE 6 Update 50.
Comment 1 Edwin Groothuis freebsd_committer 2012-01-08 15:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jgh@FreeBSD.org freebsd_committer 2012-01-12 21:54:39 UTC
To submitter: What problem are you trying to solve with this fix?


Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 3 dennylin93 2012-01-13 00:00:00 UTC
On Thu, Jan 12, 2012 at 01:54:39PM -0800, Jason Helfman wrote:
> To submitter: What problem are you trying to solve with this fix?

Some websites detect the update version of Java and require users to use
a newer version (e.g., Update 20 or above). This becomes a problem when
trying to browse these websites. Instead of loading the Java applet,
they ask you to upgrade Java with a link.

Denny Lin
Comment 4 jgh@FreeBSD.org freebsd_committer 2012-01-13 04:46:20 UTC
Responsible Changed
From-To: freebsd-java->jgh

I'll take this
Comment 5 dfilter freebsd_committer 2012-01-13 17:36:32 UTC
jgh         2012-01-13 17:36:23 UTC

  FreeBSD ports repository

  Modified files:
    java/openjdk6        Makefile 
  - Add variable JDK_UPDATE_VERSION for java to 30 (current Oracle release of JDK 6)
  This is largely done for java detection for browser compatibility
  Please update UPDATE_VERSION for new releases
  PR:     ports/163916
  Submitted by:   Denny Lin <dennylin93 at hs.ntnu.edu.tw>
  Approved by:    glewis, (rene, crees) (mentors,implicit)
  Revision  Changes    Path
  1.56      +4 -2      ports/java/openjdk6/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 jgh@FreeBSD.org freebsd_committer 2012-01-13 19:14:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!